MagickCore: threshold.h File Reference

# threshold.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _ThresholdMap | ThresholdMap
## Functions
MagickExport Image * | AdaptiveThresholdImage (const Image *, const unsigned long, const unsigned long, const long, ExceptionInfo *)
MagickExport ThresholdMap * | DestroyThresholdMap (ThresholdMap *)
MagickExport ThresholdMap ** | GetThresholdMap (const char *, ExceptionInfo *)
MagickExport MagickBooleanType | BilevelImage (Image *, const double)
MagickExport MagickBooleanType | BilevelImageChannel (Image *, const ChannelType, const double)
MagickExport MagickBooleanType | BlackThresholdImage (Image *, const char *)
MagickExport MagickBooleanType | ListThresholdMaps (FILE *, ExceptionInfo *)
MagickExport MagickBooleanType | OrderedDitherImage (Image *)
MagickExport MagickBooleanType | OrderedDitherImageChannel (Image *, const ChannelType, ExceptionInfo *)
MagickExport MagickBooleanType | OrderedPosterizeImage (Image *, const char *, ExceptionInfo *)
MagickExport MagickBooleanType | OrderedPosterizeImageChannel (Image *, const ChannelType, const char *, ExceptionInfo *)
MagickExport MagickBooleanType | RandomThresholdImage (Image *, const char *, ExceptionInfo *)
MagickExport MagickBooleanType | RandomThresholdImageChannel (Image *, const ChannelType, const char *, ExceptionInfo *)
MagickExport MagickBooleanType | WhiteThresholdImage (Image *, const char *)

## Typedef Documentation

typedef struct _ThresholdMap ThresholdMap

## Function Documentation

MagickExport Image* AdaptiveThresholdImage | ( | const Image * | ,
|  | const unsigned | long,
|  | const unsigned | long,
|  | const | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType BilevelImage | ( | Image * | ,
|  | const | double |
| ) |  |  |

MagickExport MagickBooleanType BilevelImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | const | double |
| ) |  |  |

MagickExport MagickBooleanType BlackThresholdImage | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport ThresholdMap* DestroyThresholdMap | ( | ThresholdMap * |  | ) |

MagickExport ThresholdMap* * GetThresholdMap | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType ListThresholdMaps | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType OrderedDitherImage | ( | Image * |  | ) |

MagickExport MagickBooleanType OrderedDitherImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType OrderedPosterizeImage | ( | Image * | ,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType OrderedPosterizeImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType RandomThresholdImage | ( | Image * | ,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType RandomThresholdImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType WhiteThresholdImage | ( | Image * | ,
|  | const char * |  |
| ) |  |  |